From 33aaa2430b3190af2b2831a5bfb315bfe364ca85 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 10 2024 06:08:12 +0000
Subject: [PATCH 16/220] Update cosmic-applet-app-list


---

diff --git a/cosmic-applet-app-list/cosmic-applet-app-list.spec b/cosmic-applet-app-list/cosmic-applet-app-list.spec
index 2559d0d..a521d59 100644
--- a/cosmic-applet-app-list/cosmic-applet-app-list.spec
+++ b/cosmic-applet-app-list/cosmic-applet-app-list.spec
@@ -86,6 +86,8 @@ just rootdir=%{buildroot} prefix=%{_prefix} _install_app_list
 %{_datadir}/applications/com.system76.CosmicAppList.desktop
 %{_datadir}/icons/hicolor/scalable/apps/com.system76.CosmicAppList.svg
 
+%{_datadir}/cosmic/com.system76.CosmicAppList/v1/favorites
+%{_datadir}/cosmic/com.system76.CosmicAppList/v1/filter_top_levels
 
 
 %changelog
diff --git a/cosmic_apps.py b/cosmic_apps.py
index 543faea..3fcf978 100644
--- a/cosmic_apps.py
+++ b/cosmic_apps.py
@@ -163,6 +163,8 @@ cargo build --frozen --offline --release --bin cosmic-app-list
 "install": f"just rootdir=%{{buildroot}} prefix=%{{_prefix}} _install_app_list",
 "files": f"""
 {contains_app("cosmic-app-list","com.system76.CosmicAppList",True, True, True, False, False, "cosmic-app-list/")}
+%{{_datadir}}/cosmic/com.system76.CosmicAppList/v1/favorites
+%{{_datadir}}/cosmic/com.system76.CosmicAppList/v1/filter_top_levels
 """
 }
 

